| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
SDL
SDL.PixelFormat

# Method SDL.PixelFormat()->get_rgb()

Method get_rgb

  `Image.Color.Color get_rgb(int pixel)`

Description

  Get RGB component values from a pixel stored in this pixel format.

Parameter `pixel`

  A pixel retrieved from a surface with this pixel format or a color previously mapped with map_rgb() or map_rgba() .

Returns

  A Image.Color.Color object with the RGB components of the pixel.

See also

  map_rgb() , map_rgba() , get_rgba()